;;R13.LSP Copyright 1999 HyperPics all rights reserved
;;
;;  Author: Lee Ambrosius,
;;             HyperPics

;;SaveasR13 Program

;;Updated 8/15/98
;;Version 1.1 Only Works with R14

;;Saveas Release 13 allows you as the use to save your drawing
;;into Release 13 format with just a couple keystokes. This command
;;will use the current name to save your drawing.  Unlike other 
;;saving commands this one doesn't ask you to save your drawing again.
;;This one does a hidden save that you might notice on larger drawings
;;once in awhile.
 
;;Place this in your ACAD.Lsp routine or in it's own file.  
;;Once it's loaded just type R13.

(prompt "\nEnter R13 to run routine.")
(terpri)

;;SaveasR13 Program
;;For use with R14
(defun c:R13 ()
  (setq VR (getvar "ACADVER"))
  (setq VR (substr VR 1 2))
  (terpri)
  (setvar "CMDECHO" 0)
  (setvar "FILEDIA" 0)
  (if (= VR "14")
    (progn
      (setq DWGNAME (getvar "DWGNAME"))
      (setq DWGPRE (getvar "DWGPREFIX"))
      (setq DWGNAME (strcat DWGPRE DWGNAME))
      (command "._SAVE" DWGNAME)
      (while (not (zerop (getvar "CMDACTIVE")))
        (command "Y")
      )
      (command "._SAVEAS" "LT95" DWGNAME)
      (while (not (zerop (getvar "CMDACTIVE")))
        (command "Y")
      )
    )
  )
 (setvar "FILEDIA" 1)
 (setvar "CMDECHO" 1)
 (prompt "\nDrawing has been saved as Release 13")
 (princ)
)
(princ)

;-----------------End of R13.Lsp-------------------------------------  
